import { transform as j, Features as q } from "lightningcss";
const p = {
  min: "min-width",
  max: "max-width",
  minWidth: "min-width",
  maxWidth: "max-width",
  minimumWidth: "min-width",
  maximumWidth: "max-width",
  aspectRatio: "aspect-ratio",
  deviceHeight: "device-height",
  deviceWidth: "device-width",
  minResolution: "min-resolution",
  maxResolution: "max-resolution",
  deviceAspectRatio: "device-aspect-ratio",
  minDeviceHeight: "min-device-height",
  maxDeviceHeight: "max-device-height",
  minDeviceWidth: "min-device-width",
  maxDeviceWidth: "max-device-width",
  minDeviceAspectRatio: "min-device-aspect-ratio",
  maxDeviceAspectRatio: "max-device-aspect-ratio",
  orientation: "orientation",
  prefersColorScheme: "prefers-color-scheme",
  "prefers-color-scheme": "prefers-color-scheme",
  "aspect-ratio": "aspect-ratio",
  "device-height": "device-height",
  "device-width": "device-width",
  "min-resolution": "min-resolution",
  "max-resolution": "max-resolution",
  "device-aspect-ratio": "device-aspect-ratio",
  "min-device-height": "min-device-height",
  "max-device-height": "max-device-height",
  "min-device-width": "min-device-width",
  "max-device-width": "max-device-width",
  "min-device-aspect-ratio": "min-device-aspect-ratio",
  "max-device-aspect-ratio": "max-device-aspect-ratio",
  "min-width": "min-width",
  "max-width": "max-width"
}, Qr = (t) => t in p, _ = (t) => t in k, Vr = (t, e) => `${p[t]}: ${e}`;
function S(t, e) {
  return this.screens[t][e || "min"] || "";
}
function C() {
  return "not implemented";
}
function Gr(t, e) {
  Object.keys(t).forEach((o) => {
    e(o, t[o]);
  });
}
const k = {
  sm: { min: "640px" },
  md: { min: "768px" },
  lg: { min: "1024px" },
  xl: { min: "1280px" },
  "2xl": { min: "1536px" },
  dark: { prefersColorScheme: "dark" },
  light: { prefersColorScheme: "light" }
}, Jr = {
  screens: k,
  screenSizeAt: S,
  resolveMacros: C
};
function O(t, { file: e = "blitz-input.css", minify: o = !0 } = {}) {
  return j({
    filename: e,
    code: Buffer.from(t),
    minify: o,
    sourceMap: !1,
    drafts: {
      customMedia: !0
    },
    nonStandard: {
      deepSelectorCombinator: !0
    },
    include: q.Nesting,
    targets: {
      safari: 16 << 16 | 1024
    },
    errorRecovery: !0
  }).code.toString();
}
const I = "transition-property: color, background-color, border-color, text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter;transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);transition-duration: 150ms;", E = "display: none;", M = "isolation: isolate;", R = "font-style: italic;", B = {
  "transition-colors": "transition-property: color, background-color, border-color, text-decoration-color, fill, stroke;transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);transition-duration: 150ms;",
  "transition-(all|opacity|shadow|transform)": "transition-property: $1;transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);transition-duration: 150ms;",
  "transition-none": "transition-property: none;",
  transition: I,
  "([duration|delay])-([0-9]+)": "transition-$1: $2ms",
  "hue-rotate-([0-9]+)": "filter: hue-rotate($1deg);",
  "not-sr-only": "position: static;width: auto;height: auto;padding: 0;margin: 0;overflow: visible;clip: auto;white-space: normal;",
  "sr-only": "position: absolute;width: 1px;height: 1px;padding: 0;margin: -1px;overflow: hidden;clip: rect(0, 0, 0, 0);white-space: nowrap;border-width: 0;",
  "(visible|invisible|collapse)": "visibility: $1;",
  "(static|fixed|absolute|relative|sticky)": "position: $1;",
  "float-(start|end|right|left|none)": "float: $1;",
  "clear-(start|end|right|left|both|none)": "clear: $1;",
  "inline-(block|flex|table|grid)": "display: inline-$1;",
  hidden: E,
  "table-(caption|cell|column-group|footer-group|header-group|row-group|row|column)": "display: table-$1;",
  "(block|flow-root|grid|inline-grid|contents|list-item|table|inline)": "display: $1;",
  "bg-(inherit|transparent)": "background-color: $1;",
  "bg-(auto|cover|contain)": "background-size: $1;",
  "bg-(fixed|local|scroll)": "background-attachment: $1;",
  "bg-(right-top|right-bottom|left-bottom|left-top|center|top|right|bottom|left)": "background-position: $1;",
  "bg-(repeat-x|repeat-y|repeat|no-repeat|round|space)": "background-repeat: $1;",
  "bg-(none)": "background-image: $1;",
  "pointer-events-(none|auto)": "pointer-events: $1;",
  "place-content-(center|start|end|between|around|evenly|baseline|stretch)": "place-content: $1;",
  "place-items-(center|start|end|baseline|stretch)": "place-items: $1;",
  "(start|end)-auto": "inset-inline-$1: auto;",
  "(top|right|bottom|left|inset)-auto": "$1: auto;",
  isolate: M,
  "isolation-auto": "isolation: auto;",
  "z-auto": "z-index: auto;",
  "order-first": "order: calc(-infinity);",
  "order-last": "order: calc(infinity);",
  "order-none": "order: 0;",
  "col-auto": "grid-column: auto;",
  "col-span-full": "grid-column: 1 / -1;",
  "col-start-auto": "grid-column-start: auto;",
  "col-end-auto": "grid-column-end: auto;",
  "row-auto": "grid-row: auto;",
  "row-span-full": "grid-row: 1 / -1;",
  "row-start-auto": "grid-row-start: auto;",
  "row-end-auto": "grid-row-end: auto;",
  "box-border": "box-sizing: border-box;",
  "box-content": "box-sizing: content-box;",
  "aspect-auto": "aspect-ratio: auto;",
  "aspect-square": "aspect-ratio: 1 / 1;",
  "aspect-video": "aspect-ratio: 16 / 9;",
  "flex-initial": "flex: 0 auto;",
  "flex-auto": "flex: auto;",
  "flex-none": "flex: none;",
  "basis-full": "flex-basis: 100%;",
  "basis-auto": "flex-basis: auto;",
  "table-(auto|fixed)": "table-layout: $1;",
  "caption-(top|bottom)": "caption-side: $1;",
  "border-(collapse|separate)": "border-collapse: $1;",
  "origin-(top|bottom)-(right|left)": "transform-origin: $1 $2;",
  "origin-(center|top|right|bottom|left)": "transform-origin: $1;",
  "perspective-origin-(top|bottom)-(right|left)": "perspective-origin: $1 $2;",
  "perspective-origin-(center|top|right|bottom|left)": "perspective-origin: $1;",
  "(perspective|translate|transform)-(none)": "$1: $2;",
  "transform-flat": "transform-style: flat;",
  "transform-3d": "transform-style: preserve-3d;",
  "transform-content": "transform-box: content-box;",
  "transform-border": "transform-box: border-box;",
  "transform-fill": "transform-box: fill-box;",
  "transform-stroke": "transform-box: stroke-box;",
  "transform-view": "transform-box: view-box;",
  "backface-visible": "backface-visibility: visible;",
  "backface-hidden": "backface-visibility: hidden;",
  "resize-(none|both)": "resize: $1;",
  "resize-x": "resize: horizontal;",
  "resize-y": "resize: vertical;",
  "snap-none": "scroll-snap-type: none;",
  "snap-align-none": "scroll-snap-align: none;",
  "snap-start": "scroll-snap-align: start;",
  "snap-end": "scroll-snap-align: end;",
  "snap-center": "scroll-snap-align: center;",
  "snap-normal": "scroll-snap-stop: normal;",
  "snap-always": "scroll-snap-stop: always;",
  "list-inside": "list-style-position: inside;",
  "list-outside": "list-style-position: outside;",
  "list-none": "list-style-type: none;",
  "list-disc": "list-style-type: disc;",
  "list-decimal": "list-style-type: decimal;",
  "list-image-none": "list-style-image: none;",
  "appearance-none": "appearance: none;",
  "appearance-auto": "appearance: auto;",
  "columns-auto": "columns: auto;",
  "grid-flow-col": "grid-auto-flow: column;",
  "grid-flow-(row|dense)": "grid-auto-flow: $1;",
  "grid-flow-row-dense": "grid-auto-flow: row dense;",
  "grid-flow-col-dense": "grid-auto-flow: column dense;",
  "auto-cols-auto": "grid-auto-columns: auto;",
  "auto-cols-(min|max)": "grid-auto-columns: $1-content;",
  "auto-cols-fr": "grid-auto-columns: minmax(0, 1fr);",
  "auto-rows-auto": "grid-auto-rows: auto;",
  "auto-rows-(min|max)": "grid-auto-rows: $1-content;",
  "auto-rows-fr": "grid-auto-rows: minmax(0, 1fr);",
  "grid-cols-none": "grid-template-columns: none;",
  "grid-cols-subgrid": "grid-template-columns: subgrid;",
  "grid-rows-none": "grid-template-rows: none;",
  "grid-rows-subgrid": "grid-template-rows: subgrid;",
  "flex-row": "flex-direction: row;",
  "flex-row-reverse": "flex-direction: row-reverse;",
  "flex-col": "flex-direction: column;",
  "flex-col-reverse": "flex-direction: column-reverse;",
  "flex-wrap": "flex-wrap: wrap;",
  "flex-nowrap": "flex-wrap: nowrap;",
  "flex-wrap-reverse": "flex-wrap: wrap-reverse;",
  "content-(start|end)": "align-content: flex-$1;",
  "content-(between|around|evenly)": "align-content: space-$1;",
  "content-(normal|center|baseline|stretch)": "align-content: $1;",
  "items-(start|end)": "align-items: flex-$1;",
  "items-(center|baseline|stretch)": "align-items: $1;",
  "justify-(start|end)": "justify-content: flex-$1;",
  "justify-(between|around|evenly)": "justify-content: space-$1;",
  "justify-(baseline|stretch|normal|center)": "justify-content: $1;",
  "justify-items-(start|end|center|normal|stretch)": "justify-items: $1;",
  "place-self-(start|end|auto|center|stretch)": "place-self: $1;",
  "self-(start|end)": "align-self: flex-$1;",
  "self-(auto|center|stretch|baseline)": "align-self: $1;",
  "justify-self-(start|end)": "justify-self: flex-$1;",
  "justify-self-(auto|center|stretch)": "justify-self: $1;",
  "scroll-(auto|smooth)": "scroll-behavior: $1;",
  "text-(ellipsis|clip)": "text-overflow: $1;",
  "whitespace-(normal|nowrap)": "white-space: $1;",
  "whitespace-(pre-line|pre-wrap|break-spaces)": "white-space: $1;",
  "whitespace-pre": "white-space: pre;",
  "text-(wrap|nowrap|balance|pretty)": "text-wrap: $1;",
  "break-words": "overflow-wrap: break-word;",
  "break-all": "word-break: break-all;",
  "break-keep": "word-break: break-keep;",
  "via-none": "--tw-gradient-via-stops: initial;",
  "bg-(clip|origin)-text": "background-$1: text;",
  "bg-(clip|origin)-(border|padding|content)": "background-$1: $2-box;",
  "mix-blend-plus-darker": "mix-blend-mode: plus-darker;",
  "mix-blend-plus-lighter": "mix-blend-mode: plus-lighter;",
  "stroke-none": "stroke: none;",
  "object-(contain|cover|fill|none|scale-down)": "object-fit: $1;",
  "object-(bottom|center|left|right|top)": "object-position: $1;",
  "object-(left|right)-(top|bottom)": "object-position: $1 $2;",
  "text-(left|center|right|justify|start|end)": "text-align: $1;",
  "align-(baseline|text-top|text-bottom|top|middle|bottom|sub|super)": "vertical-align: $1;",
  "(uppercase|lowercase|capitalize)": "text-transform: $1;",
  "normal-case": "text-transform: none;",
  italic: R,
  "not-italic": "font-style: normal;",
  "(underline|overline|line-through)": "text-decoration-line: $1;",
  "no-underline": "text-decoration-line: none;",
  "font-stretch-(normal|condensed|expanded)": "font-stretch: $1;",
  "font-stretch-(ultra|extra|semi)-(condensed|expanded)": "font-stretch: $1-$2;",
  "decoration-(solid|double|dotted|dashed|wavy)": "text-decoration-style: $1;",
  "decoration-auto": "text-decoration-thickness: auto;",
  "decoration-from-font": "text-decoration-thickness: from-font;",
  "animate-none": "animation: none;",
  "will-change-scroll": "will-change: scroll-position;",
  "will-change-(auto|contents|transform)": "will-change: $1;",
  "contain-(none|content|strict)": "contain: $1;",
  "forced-color-adjust-(none|auto)": "forced-color-adjust: $1;",
  "normal-nums": "font-variant-numeric: normal;",
  "underline-offset-auto": "text-underline-offset: auto;",
  "touch-([a-z-]+)": "touch-action: $1;",
  "cursor-([a-z-]+)": "cursor: $1;",
  "select-([a-z-]+)": "-webkit-user-select: $1;user-select: $1;",
  "rotate-([\\w]+)": "rotate: $1deg;",
  "backdrop-hue-rotate-([0-9]+)": "backdrop-filter: hue-rotate($1deg);"
}, A = "inherit", U = "currentColor", W = "transparent", x = {
  inherit: A,
  current: U,
  transparent: W
}, D = [
  240,
  248,
  255
], H = [
  250,
  235,
  215
], P = [
  0,
  255,
  255
], F = [
  127,
  255,
  212
], N = [
  240,
  255,
  255
], Q = [
  245,
  245,
  220
], V = [
  255,
  228,
  196
], G = [
  0,
  0,
  0
], J = [
  255,
  235,
  205
], K = [
  0,
  0,
  255
], L = [
  138,
  43,
  226
], T = [
  165,
  42,
  42
], X = [
  222,
  184,
  135
], Y = [
  95,
  158,
  160
], Z = [
  127,
  255,
  0
], ee = [
  210,
  105,
  30
], te = [
  255,
  127,
  80
], oe = [
  100,
  149,
  237
], re = [
  255,
  248,
  220
], ne = [
  220,
  20,
  60
], ie = [
  0,
  255,
  255
], se = [
  0,
  0,
  139
], ae = [
  0,
  139,
  139
], le = [
  184,
  134,
  11
], ce = [
  169,
  169,
  169
], de = [
  0,
  100,
  0
], ue = [
  169,
  169,
  169
], pe = [
  189,
  183,
  107
], ge = [
  139,
  0,
  139
], me = [
  85,
  107,
  47
], he = [
  255,
  140,
  0
], be = [
  153,
  50,
  204
], fe = [
  139,
  0,
  0
], we = [
  233,
  150,
  122
], ye = [
  143,
  188,
  143
], ke = [
  72,
  61,
  139
], xe = [
  47,
  79,
  79
], $e = [
  47,
  79,
  79
], ve = [
  0,
  206,
  209
], ze = [
  148,
  0,
  211
], je = [
  255,
  20,
  147
], qe = [
  0,
  191,
  255
], _e = [
  105,
  105,
  105
], Se = [
  105,
  105,
  105
], Ce = [
  30,
  144,
  255
], Oe = [
  178,
  34,
  34
], Ie = [
  255,
  250,
  240
], Ee = [
  34,
  139,
  34
], Me = [
  255,
  0,
  255
], Re = [
  220,
  220,
  220
], Be = [
  248,
  248,
  255
], Ae = [
  255,
  215,
  0
], Ue = [
  218,
  165,
  32
], We = [
  128,
  128,
  128
], De = [
  0,
  128,
  0
], He = [
  173,
  255,
  47
], Pe = [
  128,
  128,
  128
], Fe = [
  240,
  255,
  240
], Ne = [
  255,
  105,
  180
], Qe = [
  205,
  92,
  92
], Ve = [
  75,
  0,
  130
], Ge = [
  255,
  255,
  240
], Je = [
  240,
  230,
  140
], Ke = [
  230,
  230,
  250
], Le = [
  255,
  240,
  245
], Te = [
  124,
  252,
  0
], Xe = [
  255,
  250,
  205
], Ye = [
  173,
  216,
  230
], Ze = [
  240,
  128,
  128
], et = [
  224,
  255,
  255
], tt = [
  250,
  250,
  210
], ot = [
  211,
  211,
  211
], rt = [
  144,
  238,
  144
], nt = [
  211,
  211,
  211
], it = [
  255,
  182,
  193
], st = [
  255,
  160,
  122
], at = [
  32,
  178,
  170
], lt = [
  135,
  206,
  250
], ct = [
  119,
  136,
  153
], dt = [
  119,
  136,
  153
], ut = [
  176,
  196,
  222
], pt = [
  255,
  255,
  224
], gt = [
  0,
  255,
  0
], mt = [
  50,
  205,
  50
], ht = [
  250,
  240,
  230
], bt = [
  255,
  0,
  255
], ft = [
  128,
  0,
  0
], wt = [
  102,
  205,
  170
], yt = [
  0,
  0,
  205
], kt = [
  186,
  85,
  211
], xt = [
  147,
  112,
  219
], $t = [
  60,
  179,
  113
], vt = [
  123,
  104,
  238
], zt = [
  0,
  250,
  154
], jt = [
  72,
  209,
  204
], qt = [
  199,
  21,
  133
], _t = [
  25,
  25,
  112
], St = [
  245,
  255,
  250
], Ct = [
  255,
  228,
  225
], Ot = [
  255,
  228,
  181
], It = [
  255,
  222,
  173
], Et = [
  0,
  0,
  128
], Mt = [
  253,
  245,
  230
], Rt = [
  128,
  128,
  0
], Bt = [
  107,
  142,
  35
], At = [
  255,
  165,
  0
], Ut = [
  255,
  69,
  0
], Wt = [
  218,
  112,
  214
], Dt = [
  238,
  232,
  170
], Ht = [
  152,
  251,
  152
], Pt = [
  175,
  238,
  238
], Ft = [
  219,
  112,
  147
], Nt = [
  255,
  239,
  213
], Qt = [
  255,
  218,
  185
], Vt = [
  205,
  133,
  63
], Gt = [
  255,
  192,
  203
], Jt = [
  221,
  160,
  221
], Kt = [
  176,
  224,
  230
], Lt = [
  128,
  0,
  128
], Tt = [
  102,
  51,
  153
], Xt = [
  255,
  0,
  0
], Yt = [
  188,
  143,
  143
], Zt = [
  65,
  105,
  225
], eo = [
  139,
  69,
  19
], to = [
  250,
  128,
  114
], oo = [
  244,
  164,
  96
], ro = [
  46,
  139,
  87
], no = [
  255,
  245,
  238
], io = [
  160,
  82,
  45
], so = [
  192,
  192,
  192
], ao = [
  135,
  206,
  235
], lo = [
  106,
  90,
  205
], co = [
  112,
  128,
  144
], uo = [
  112,
  128,
  144
], po = [
  255,
  250,
  250
], go = [
  0,
  255,
  127
], mo = [
  70,
  130,
  180
], ho = [
  210,
  180,
  140
], bo = [
  0,
  128,
  128
], fo = [
  216,
  191,
  216
], wo = [
  255,
  99,
  71
], yo = [
  64,
  224,
  208
], ko = [
  238,
  130,
  238
], xo = [
  245,
  222,
  179
], $o = [
  255,
  255,
  255
], vo = [
  245,
  245,
  245
], zo = [
  255,
  255,
  0
], jo = [
  154,
  205,
  50
], d = {
  aliceblue: D,
  antiquewhite: H,
  aqua: P,
  aquamarine: F,
  azure: N,
  beige: Q,
  bisque: V,
  black: G,
  blanchedalmond: J,
  blue: K,
  blueviolet: L,
  brown: T,
  burlywood: X,
  cadetblue: Y,
  chartreuse: Z,
  chocolate: ee,
  coral: te,
  cornflowerblue: oe,
  cornsilk: re,
  crimson: ne,
  cyan: ie,
  darkblue: se,
  darkcyan: ae,
  darkgoldenrod: le,
  darkgray: ce,
  darkgreen: de,
  darkgrey: ue,
  darkkhaki: pe,
  darkmagenta: ge,
  darkolivegreen: me,
  darkorange: he,
  darkorchid: be,
  darkred: fe,
  darksalmon: we,
  darkseagreen: ye,
  darkslateblue: ke,
  darkslategray: xe,
  darkslategrey: $e,
  darkturquoise: ve,
  darkviolet: ze,
  deeppink: je,
  deepskyblue: qe,
  dimgray: _e,
  dimgrey: Se,
  dodgerblue: Ce,
  firebrick: Oe,
  floralwhite: Ie,
  forestgreen: Ee,
  fuchsia: Me,
  gainsboro: Re,
  ghostwhite: Be,
  gold: Ae,
  goldenrod: Ue,
  gray: We,
  green: De,
  greenyellow: He,
  grey: Pe,
  honeydew: Fe,
  hotpink: Ne,
  indianred: Qe,
  indigo: Ve,
  ivory: Ge,
  khaki: Je,
  lavender: Ke,
  lavenderblush: Le,
  lawngreen: Te,
  lemonchiffon: Xe,
  lightblue: Ye,
  lightcoral: Ze,
  lightcyan: et,
  lightgoldenrodyellow: tt,
  lightgray: ot,
  lightgreen: rt,
  lightgrey: nt,
  lightpink: it,
  lightsalmon: st,
  lightseagreen: at,
  lightskyblue: lt,
  lightslategray: ct,
  lightslategrey: dt,
  lightsteelblue: ut,
  lightyellow: pt,
  lime: gt,
  limegreen: mt,
  linen: ht,
  magenta: bt,
  maroon: ft,
  mediumaquamarine: wt,
  mediumblue: yt,
  mediumorchid: kt,
  mediumpurple: xt,
  mediumseagreen: $t,
  mediumslateblue: vt,
  mediumspringgreen: zt,
  mediumturquoise: jt,
  mediumvioletred: qt,
  midnightblue: _t,
  mintcream: St,
  mistyrose: Ct,
  moccasin: Ot,
  navajowhite: It,
  navy: Et,
  oldlace: Mt,
  olive: Rt,
  olivedrab: Bt,
  orange: At,
  orangered: Ut,
  orchid: Wt,
  palegoldenrod: Dt,
  palegreen: Ht,
  paleturquoise: Pt,
  palevioletred: Ft,
  papayawhip: Nt,
  peachpuff: Qt,
  peru: Vt,
  pink: Gt,
  plum: Jt,
  powderblue: Kt,
  purple: Lt,
  rebeccapurple: Tt,
  red: Xt,
  rosybrown: Yt,
  royalblue: Zt,
  saddlebrown: eo,
  salmon: to,
  sandybrown: oo,
  seagreen: ro,
  seashell: no,
  sienna: io,
  silver: so,
  skyblue: ao,
  slateblue: lo,
  slategray: co,
  slategrey: uo,
  snow: po,
  springgreen: go,
  steelblue: mo,
  tan: ho,
  teal: bo,
  thistle: fo,
  tomato: wo,
  turquoise: yo,
  violet: ko,
  wheat: xo,
  white: $o,
  whitesmoke: vo,
  yellow: zo,
  yellowgreen: jo
}, qo = [
  [
    248,
    250,
    252
  ],
  [
    241,
    245,
    249
  ],
  [
    226,
    232,
    240
  ],
  [
    203,
    213,
    225
  ],
  [
    148,
    163,
    184
  ],
  [
    100,
    116,
    139
  ],
  [
    71,
    85,
    105
  ],
  [
    51,
    65,
    85
  ],
  [
    30,
    41,
    59
  ],
  [
    15,
    23,
    42
  ],
  [
    2,
    6,
    23
  ]
], _o = [
  [
    249,
    250,
    251
  ],
  [
    243,
    244,
    246
  ],
  [
    229,
    231,
    235
  ],
  [
    209,
    213,
    219
  ],
  [
    156,
    163,
    175
  ],
  [
    107,
    114,
    128
  ],
  [
    75,
    85,
    99
  ],
  [
    55,
    65,
    81
  ],
  [
    31,
    41,
    55
  ],
  [
    17,
    24,
    39
  ],
  [
    3,
    7,
    18
  ]
], So = [
  [
    250,
    250,
    250
  ],
  [
    244,
    244,
    245
  ],
  [
    228,
    228,
    231
  ],
  [
    212,
    212,
    216
  ],
  [
    161,
    161,
    170
  ],
  [
    113,
    113,
    122
  ],
  [
    82,
    82,
    91
  ],
  [
    63,
    63,
    70
  ],
  [
    39,
    39,
    42
  ],
  [
    24,
    24,
    27
  ],
  [
    9,
    9,
    11
  ]
], Co = [
  [
    250,
    250,
    250
  ],
  [
    245,
    245,
    245
  ],
  [
    229,
    229,
    229
  ],
  [
    212,
    212,
    212
  ],
  [
    163,
    163,
    163
  ],
  [
    115,
    115,
    115
  ],
  [
    82,
    82,
    82
  ],
  [
    64,
    64,
    64
  ],
  [
    38,
    38,
    38
  ],
  [
    23,
    23,
    23
  ],
  [
    10,
    10,
    10
  ]
], Oo = [
  [
    250,
    250,
    249
  ],
  [
    245,
    245,
    244
  ],
  [
    231,
    229,
    228
  ],
  [
    214,
    211,
    209
  ],
  [
    168,
    162,
    158
  ],
  [
    120,
    113,
    108
  ],
  [
    87,
    83,
    78
  ],
  [
    68,
    64,
    60
  ],
  [
    41,
    37,
    36
  ],
  [
    28,
    25,
    23
  ],
  [
    12,
    10,
    9
  ]
], Io = [
  [
    254,
    242,
    242
  ],
  [
    254,
    226,
    226
  ],
  [
    254,
    202,
    202
  ],
  [
    252,
    165,
    165
  ],
  [
    248,
    113,
    113
  ],
  [
    239,
    68,
    68
  ],
  [
    220,
    38,
    38
  ],
  [
    185,
    28,
    28
  ],
  [
    153,
    27,
    27
  ],
  [
    127,
    29,
    29
  ],
  [
    69,
    10,
    10
  ]
], Eo = [
  [
    255,
    247,
    237
  ],
  [
    255,
    237,
    213
  ],
  [
    254,
    215,
    170
  ],
  [
    253,
    186,
    116
  ],
  [
    251,
    146,
    60
  ],
  [
    249,
    115,
    22
  ],
  [
    234,
    88,
    12
  ],
  [
    194,
    65,
    12
  ],
  [
    154,
    52,
    18
  ],
  [
    124,
    45,
    18
  ],
  [
    67,
    20,
    7
  ]
], Mo = [
  [
    255,
    251,
    235
  ],
  [
    254,
    243,
    199
  ],
  [
    253,
    230,
    138
  ],
  [
    252,
    211,
    77
  ],
  [
    251,
    191,
    36
  ],
  [
    245,
    158,
    11
  ],
  [
    217,
    119,
    6
  ],
  [
    180,
    83,
    9
  ],
  [
    146,
    64,
    14
  ],
  [
    120,
    53,
    15
  ],
  [
    69,
    26,
    3
  ]
], Ro = [
  [
    254,
    252,
    232
  ],
  [
    254,
    249,
    195
  ],
  [
    254,
    240,
    138
  ],
  [
    253,
    224,
    71
  ],
  [
    250,
    204,
    21
  ],
  [
    234,
    179,
    8
  ],
  [
    202,
    138,
    4
  ],
  [
    161,
    98,
    7
  ],
  [
    133,
    77,
    14
  ],
  [
    113,
    63,
    18
  ],
  [
    66,
    32,
    6
  ]
], Bo = [
  [
    247,
    254,
    231
  ],
  [
    236,
    252,
    203
  ],
  [
    217,
    249,
    157
  ],
  [
    190,
    242,
    100
  ],
  [
    163,
    230,
    53
  ],
  [
    132,
    204,
    22
  ],
  [
    101,
    163,
    13
  ],
  [
    77,
    124,
    15
  ],
  [
    63,
    98,
    18
  ],
  [
    54,
    83,
    20
  ],
  [
    26,
    46,
    5
  ]
], Ao = [
  [
    240,
    253,
    244
  ],
  [
    220,
    252,
    231
  ],
  [
    187,
    247,
    208
  ],
  [
    134,
    239,
    172
  ],
  [
    74,
    222,
    128
  ],
  [
    34,
    197,
    94
  ],
  [
    22,
    163,
    74
  ],
  [
    21,
    128,
    61
  ],
  [
    22,
    101,
    52
  ],
  [
    20,
    83,
    45
  ],
  [
    5,
    46,
    22
  ]
], Uo = [
  [
    236,
    253,
    245
  ],
  [
    209,
    250,
    229
  ],
  [
    167,
    243,
    208
  ],
  [
    110,
    231,
    183
  ],
  [
    52,
    211,
    153
  ],
  [
    16,
    185,
    129
  ],
  [
    5,
    150,
    105
  ],
  [
    4,
    120,
    87
  ],
  [
    6,
    95,
    70
  ],
  [
    6,
    78,
    59
  ],
  [
    2,
    44,
    34
  ]
], Wo = [
  [
    240,
    253,
    250
  ],
  [
    204,
    251,
    241
  ],
  [
    153,
    246,
    228
  ],
  [
    94,
    234,
    212
  ],
  [
    45,
    212,
    191
  ],
  [
    20,
    184,
    166
  ],
  [
    13,
    148,
    136
  ],
  [
    15,
    118,
    110
  ],
  [
    17,
    94,
    89
  ],
  [
    19,
    78,
    74
  ],
  [
    4,
    47,
    46
  ]
], Do = [
  [
    236,
    254,
    255
  ],
  [
    207,
    250,
    254
  ],
  [
    165,
    243,
    252
  ],
  [
    103,
    232,
    249
  ],
  [
    34,
    211,
    238
  ],
  [
    6,
    182,
    212
  ],
  [
    8,
    145,
    178
  ],
  [
    14,
    116,
    144
  ],
  [
    21,
    94,
    117
  ],
  [
    22,
    78,
    99
  ],
  [
    8,
    51,
    68
  ]
], Ho = [
  [
    240,
    249,
    255
  ],
  [
    224,
    242,
    254
  ],
  [
    186,
    230,
    253
  ],
  [
    125,
    211,
    252
  ],
  [
    56,
    189,
    248
  ],
  [
    14,
    165,
    233
  ],
  [
    2,
    132,
    199
  ],
  [
    3,
    105,
    161
  ],
  [
    7,
    89,
    133
  ],
  [
    12,
    74,
    110
  ],
  [
    8,
    47,
    73
  ]
], Po = [
  [
    239,
    246,
    255
  ],
  [
    219,
    234,
    254
  ],
  [
    191,
    219,
    254
  ],
  [
    147,
    197,
    253
  ],
  [
    96,
    165,
    250
  ],
  [
    59,
    130,
    246
  ],
  [
    37,
    99,
    235
  ],
  [
    29,
    78,
    216
  ],
  [
    30,
    64,
    175
  ],
  [
    30,
    58,
    138
  ],
  [
    23,
    37,
    84
  ]
], Fo = [
  [
    238,
    242,
    255
  ],
  [
    224,
    231,
    255
  ],
  [
    199,
    210,
    254
  ],
  [
    165,
    180,
    252
  ],
  [
    129,
    140,
    248
  ],
  [
    99,
    102,
    241
  ],
  [
    79,
    70,
    229
  ],
  [
    67,
    56,
    202
  ],
  [
    55,
    48,
    163
  ],
  [
    49,
    46,
    129
  ],
  [
    30,
    27,
    75
  ]
], No = [
  [
    245,
    243,
    255
  ],
  [
    237,
    233,
    254
  ],
  [
    221,
    214,
    254
  ],
  [
    196,
    181,
    253
  ],
  [
    167,
    139,
    250
  ],
  [
    139,
    92,
    246
  ],
  [
    124,
    58,
    237
  ],
  [
    109,
    40,
    217
  ],
  [
    91,
    33,
    182
  ],
  [
    76,
    29,
    149
  ],
  [
    46,
    16,
    101
  ]
], Qo = [
  [
    250,
    245,
    255
  ],
  [
    243,
    232,
    255
  ],
  [
    233,
    213,
    255
  ],
  [
    216,
    180,
    254
  ],
  [
    192,
    132,
    252
  ],
  [
    168,
    85,
    247
  ],
  [
    147,
    51,
    234
  ],
  [
    126,
    34,
    206
  ],
  [
    107,
    33,
    168
  ],
  [
    88,
    28,
    135
  ],
  [
    59,
    7,
    100
  ]
], Vo = [
  [
    253,
    244,
    255
  ],
  [
    250,
    232,
    255
  ],
  [
    245,
    208,
    254
  ],
  [
    240,
    171,
    252
  ],
  [
    232,
    121,
    249
  ],
  [
    217,
    70,
    239
  ],
  [
    192,
    38,
    211
  ],
  [
    162,
    28,
    175
  ],
  [
    134,
    25,
    143
  ],
  [
    112,
    26,
    117
  ],
  [
    74,
    4,
    78
  ]
], Go = [
  [
    253,
    242,
    248
  ],
  [
    252,
    231,
    243
  ],
  [
    251,
    207,
    232
  ],
  [
    249,
    168,
    212
  ],
  [
    244,
    114,
    182
  ],
  [
    236,
    72,
    153
  ],
  [
    219,
    39,
    119
  ],
  [
    190,
    24,
    93
  ],
  [
    157,
    23,
    77
  ],
  [
    131,
    24,
    67
  ],
  [
    80,
    7,
    36
  ]
], Jo = [
  [
    255,
    241,
    242
  ],
  [
    255,
    228,
    230
  ],
  [
    254,
    205,
    211
  ],
  [
    253,
    164,
    175
  ],
  [
    251,
    113,
    133
  ],
  [
    244,
    63,
    94
  ],
  [
    225,
    29,
    72
  ],
  [
    190,
    18,
    60
  ],
  [
    159,
    18,
    57
  ],
  [
    136,
    19,
    55
  ],
  [
    76,
    5,
    25
  ]
], u = {
  slate: qo,
  gray: _o,
  zinc: So,
  neutral: Co,
  stone: Oo,
  red: Io,
  orange: Eo,
  amber: Mo,
  yellow: Ro,
  lime: Bo,
  green: Ao,
  emerald: Uo,
  teal: Wo,
  cyan: Do,
  sky: Ho,
  blue: Po,
  indigo: Fo,
  violet: No,
  purple: Qo,
  fuchsia: Vo,
  pink: Go,
  rose: Jo
}, Ko = (t) => {
  const [e, o] = t.split("-");
  return e in u && parseInt(o) % 50 === 0;
}, Lo = (t) => t in x, To = (t) => t in d;
class $ extends Error {
  constructor(e) {
    super(`Unknown color: ${e}`);
  }
}
class Xo extends Error {
  constructor(e) {
    super(`Unknown shade: ${e}`);
  }
}
class Yo extends Error {
  constructor(e) {
    super(`Unknown base color: ${e}`);
  }
}
const Zo = (t) => {
  if (Lo(t))
    return x[t];
  if (To(t))
    return tr(t);
  if (Ko(t))
    return er(t);
  throw new $(t);
}, er = (t) => {
  const [e, o] = t.split("-"), r = parseInt(o);
  if (r % 50 !== 0)
    throw new Error(`Invalid shade: ${r}`);
  if (!u[e])
    throw new Yo(e);
  if (r < 50 || r > 950)
    throw new Xo(o);
  const [i, s, n] = u[e][r === 50 ? 0 : r === 950 ? 10 : r / 100];
  return `rgb(${i} ${s} ${n})`;
}, tr = (t) => {
  if (!d[t])
    throw new $(t);
  const [e, o, r] = d[t];
  return `rgb(${e} ${o} ${r})`;
}, or = Object.entries(B).map(
  ([t, e]) => [new RegExp(`^${t}`, "g"), e]
), m = {
  "-none": "0",
  "-sm": "4px",
  "-md": "12px",
  "-lg": "16px",
  "-xl": "24px",
  "-2xl": "40px",
  "-3xl": "64px",
  default: "8px"
}, rr = {
  none: "0 0 #0000",
  sm: "0 1px 1px rgb(0 0 0 / 0.05)",
  md: "0 4px 3px rgb(0 0 0 / 0.07)) drop-shadow(0 2px 2px rgb(0 0 0 / 0.06)",
  lg: "0 10px 8px rgb(0 0 0 / 0.04)) drop-shadow(0 4px 3px rgb(0 0 0 / 0.1)",
  xl: "0 20px 13px rgb(0 0 0 / 0.03)) drop-shadow(0 8px 5px rgb(0 0 0 / 0.08)",
  "2xl": "0 25px 25px rgb(0 0 0 / 0.15)"
}, h = {
  "in-out": "cubic-bezier(0.4, 0, 0.2, 1)",
  in: "cubic-bezier(0.4, 0, 1, 1)",
  out: "cubic-bezier(0, 0, 0.2, 1)",
  default: "linear"
}, c = (t, e) => `filter: ${t}(${e});`, l = (t, e) => `backdrop-filter: ${t}(${e});`, b = (t) => m[t] || m.default, nr = (t) => rr[t] || t, ir = (t) => `transition-timing-function: ${h[t] || h.default};`, f = (t, e) => `filter: ${t.join("")}(${e});`, sr = [
  ...or,
  [
    /backdrop-(brightness|contrast)-([0-9]+)/g,
    (t, e, o) => l(e, `${parseInt(o) / 100}`)
  ],
  [
    /backdrop-blur(-(?:none|sm|md|lg|xl|2xl|3xl))?/g,
    (t, e) => l("blur", b(e))
  ],
  [
    /backdrop-(grayscale|invert|sepia)-([0-9]+)/g,
    (t, e, o) => l(e, `${parseInt(o) / 100}`)
  ],
  [
    /backdrop-(grayscale|invert|sepia)/g,
    (t, e) => l(e, "100%")
  ],
  [
    /backdrop-(brightness|contrast|saturate)-([0-9]+)/g,
    (t, e, o) => l(e, `${parseInt(o) / 100}`)
  ],
  [
    /blur(-(?:none|sm|md|lg|xl|2xl|3xl))?/g,
    (t, e) => f`blur${b(e)}`
  ],
  [
    /^drop-shadow-(sm|md|lg|xl|2xl|none)/g,
    (t, e) => f`drop-shadow${nr(e)}`
  ],
  [
    /^drop-shadow/g,
    "filter: drop-shadow(0 1px 2px rgb(0 0 0 / 0.1)) drop-shadow(0 1px 1px rgb(0 0 0 / 0.06));"
  ],
  [
    /(grayscale|invert|sepia)-([0-9]+)/g,
    (t, e, o) => c(e, `${parseInt(o) / 100}`)
  ],
  [
    /(grayscale|invert|sepia)/g,
    (t, e) => c(e, "100%")
  ],
  [
    /(brightness|contrast|saturate)-([0-9]+)/g,
    (t, e, o) => c(e, `${parseInt(o) / 100}`)
  ],
  [
    /(?:ease|timing)-(linear|in-out|in|out)/g,
    (t, e) => ir(e)
  ],
  [
    /break-(before|inside|after)-([a-z]+)/g,
    (t, e, o) => `break-${e}: ${o};`
  ],
  [
    /overflow-(x|y)-([a-z]+)/g,
    (t, e, o) => `overflow-${e}: ${o};`
  ],
  [/overflow-([a-z]+)/g, (t, e) => `overflow: ${e};`],
  [
    /overscroll-(x|y)-([a-z]+)/g,
    (t, e, o) => `overscroll-behavior-${e}: ${o};`
  ],
  [
    /overscroll-([a-z]+)/g,
    (t, e) => `overscroll-behavior: ${e};`
  ],
  [
    /min-(w|h)-([a-z]+)/g,
    (t, e, o) => `min-${e === "w" ? "width" : "height"}: ${o};`
  ],
  [
    /max-(w|h)-([a-z]+)/g,
    (t, e, o) => `max-${e === "w" ? "width" : "height"}: ${o};`
  ],
  [
    /^(w|h)-([a-z]+)/g,
    (t, e, o) => `${e === "w" ? "width" : "height"}: ${o};`
  ]
];
function ar(t, e = sr) {
  var o;
  for (const [r, i] of e)
    if (r.test(t) && ((o = t.match(r)) == null ? void 0 : o[0]) === t) {
      if (typeof i == "function" && i(t) === t)
        continue;
      return t.replace(r, i);
    }
  return t;
}
const lr = (t) => t.map((e) => {
  var i;
  const o = /(.+?)-((?:slate|gray|zinc|neutral|stone|red|orange|amber|yellow|lime|green|emerald|teal|cyan|sky|blue|indigo|violet|purple|fuchsia|pink|rose|aliceblue|antiquewhite|aqua|aquamarine|azure|beige|bisque|black|blanchedalmond|blueviolet|brown|burlywood|cadetblue|chartreuse|chocolate|coral|cornflowerblue|cornsilk|crimson|darkblue|darkcyan|darkgoldenrod|darkgray|darkgreen|darkgrey|darkkhaki|darkmagenta|darkolivegreen|darkorange|darkorchid|darkred|darksalmon|darkseagreen|darkslateblue|darkslategray|darkslategrey|darkturquoise|darkviolet|deeppink|deepskyblue|dimgray|dimgrey|dodgerblue|firebrick|floralwhite|forestgreen|gainsboro|ghostwhite|gold|goldenrod|greenyellow|grey|honeydew|hotpink|indianred|ivory|khaki|lavender|lavenderblush|lawngreen|lemonchiffon|lightblue|lightcoral|lightcyan|lightgoldenrodyellow|lightgray|lightgreen|lightgrey|lightpink|lightsalmon|lightseagreen|lightskyblue|lightslategray|lightslategrey|lightsteelblue|lightyellow|limegreen|linen|magenta|maroon|mediumaquamarine|mediumblue|mediumorchid|mediumpurple|mediumseagreen|mediumslateblue|mediumspringgreen|mediumturquoise|mediumvioletred|midnightblue|mintcream|mistyrose|moccasin|navajowhite|navy|oldlace|olive|olivedrab|orangered|orchid|palegoldenrod|palegreen|paleturquoise|palevioletred|papayawhip|peachpuff|peru|plum|powderblue|rebeccapurple|rosybrown|royalblue|saddlebrown|salmon|sandybrown|seagreen|seashell|sienna|silver|skyblue|slateblue|slategray|slategrey|snow|springgreen|steelblue|tan|thistle|tomato|turquoise|wheat|white|whitesmoke|yellowgreen|inherit|current|transparent)(?:-\d+)?)/g, r = (s, n) => {
    switch (s) {
      case "border-t":
        return `border-top-color: ${n};`;
      case "border-r":
        return `border-right-color: ${n};`;
      case "border-b":
        return `border-bottom-color: ${n};`;
      case "border-l":
        return `border-left-color: ${n};`;
      case "border-s":
        return `border-inline-start-color: ${n};`;
      case "border-e":
        return `border-inline-end-color: ${n};`;
      case "border-x":
        return `border-left-color: ${n}; border-right-color: ${n};`;
      case "border-y":
        return `border-top-color: ${n}; border-bottom-color: ${n};`;
      case "border":
        return `border-color: ${n};`;
      case "text":
        return `color: ${n};`;
      case "bg":
        return `background-color: ${n};`;
      case "ring":
        return `ring-color: ${n};`;
      case "ring-inset":
        return `ring-inset-color: ${n};`;
      case "ring-offset":
        return `ring-offset-color: ${n};`;
      case "ring-offset-inset":
        return `ring-offset-inset-color: ${n};`;
      default:
        return `${s}: ${n};`;
    }
  };
  return o.test(e) && ((i = e.match(o)) == null ? void 0 : i[0]) === e ? e.replace(
    o,
    (s, n, a) => r(n, Zo(a))
  ) : e;
}), cr = [
  lr,
  (t) => t.map((e) => ar(e))
];
function w(...t) {
  return cr.reduce((e, o) => o(e), t).join("");
}
const dr = "&:hover", ur = "&:focus", pr = "&:active", gr = "&:visited", mr = "&:target", hr = "&:has", br = "&:first-child", fr = "&:last-child", wr = "&:only-child", yr = "&:nth-child(odd)", kr = "&:nth-child(even)", xr = "&:empty", $r = "&:disabled", vr = "&:enabled", zr = "&:checked", jr = "&:indeterminate", qr = "&:required", _r = "&:valid", Sr = "&:invalid", Cr = "&:autofill", Or = "&::before", Ir = "&::after", Er = "&::marker", Mr = "&::selection", Rr = "&::file-selector-button", Br = "&::backdrop", Ar = "&::placeholder", Ur = "@media (prefers-color-scheme: dark)", Wr = "@media (orientation: portrait)", Dr = "@media (orientation: landscape)", Hr = "@media print", y = {
  hover: dr,
  focus: ur,
  "focus-within": "&:focus-within",
  "focus-visible": "&:focus-visible",
  active: pr,
  visited: gr,
  target: mr,
  has: hr,
  first: br,
  last: fr,
  only: wr,
  odd: yr,
  even: kr,
  "first-of-type": "&:first-of-type",
  "last-of-type": "&:last-of-type",
  "only-of-type": "&:only-of-type",
  empty: xr,
  disabled: $r,
  enabled: vr,
  checked: zr,
  indeterminate: jr,
  default: "&:default",
  required: qr,
  valid: _r,
  invalid: Sr,
  "in-range": "&:in-range",
  "out-of-range": "&:out-of-range",
  "placeholder-shown": "&:placeholder-shown",
  autofill: Cr,
  "read-only": "&:read-only",
  before: Or,
  after: Ir,
  "first-letter": "&::first-letter",
  "first-line": "&::first-line",
  marker: Er,
  selection: Mr,
  file: Rr,
  backdrop: Br,
  placeholder: Ar,
  "aria-checked": "&[aria-checked=“true”]",
  "aria-disabled": "&[aria-disabled=“true”]",
  "aria-expanded": "&[aria-expanded=“true”]",
  "aria-hidden": "&[aria-hidden=“true”]",
  "aria-pressed": "&[aria-pressed=“true”]",
  "aria-readonly": "&[aria-readonly=“true”]",
  "aria-required": "&[aria-required=“true”]",
  "aria-selected": "&[aria-selected=“true”]",
  dark: Ur,
  portrait: Wr,
  landscape: Dr,
  "motion-safe": "@media (prefers-reduced-motion: no-preference)",
  "motion-reduce": "@media (prefers-reduced-motion: reduce)",
  "contrast-more": "@media (prefers-contrast: more)",
  "contrast-less": "@media (prefers-contrast: less)",
  print: Hr
};
class Pr extends Map {
  constructor(e) {
    super(), this.root = [], this.set("__root__", this.root), e && this.splitImpl(e);
  }
  add(e, o) {
    var r;
    return this.has(e) ? ((r = this.get(e)) == null || r.push(o), this) : this.set(e, [o]);
  }
  rootify(e) {
    return this.root.push(e), this;
  }
  split(e) {
    return this.splitImpl(e), this;
  }
  walk(e) {
    for (const [o, r] of this)
      e(o, r);
    return this;
  }
  toObject() {
    return Object.fromEntries(this);
  }
  toJSONString() {
    return JSON.stringify(this.toObject());
  }
  splitImpl(e) {
    e.map((o) => {
      const r = o.split(":");
      if (r.length === 1)
        this.rootify(r[0]);
      else if (r.length === 2)
        this.add(r[0], r[1]);
      else {
        const [i, s] = [r.shift(), r.pop()];
        this.add(i, s);
        for (const n of r)
          this.add(n, s);
      }
    });
  }
  export() {
    const e = {};
    return this.forEach((o, r) => e[r] = o), e;
  }
}
class Fr extends Error {
  constructor(e) {
    super(`Unknown modifier: ${e}`);
  }
}
class Kr {
  constructor(e = {}) {
    this.screens = {
      sm: { min: "640px" },
      md: { min: "768px" },
      lg: { min: "1024px" },
      xl: { min: "1280px" },
      "2xl": { min: "1536px" },
      dark: { prefersColorScheme: "dark" },
      light: { prefersColorScheme: "light" }
    }, this.screenSizeAt = (o, r) => this.screens[o][r || "min"] || "", this.resolveMacros = () => {
      const o = (r, i) => {
        if (r in y)
          return `${y[r]} { ${i} }`;
        if (_(r))
          return `@media (min-width: ${this.screenSizeAt(r)}) { ${i} }`;
        switch (r) {
          case "max-sm":
          case "max-md":
          case "max-lg":
          case "max-xl":
          case "max-2xl":
            return `@media not all and (min-width: ${this.screenSizeAt(
              r.slice(4)
            )}) { ${i} }`;
          case "min":
          case "max":
            return `@media (min-width: ${i}) { ${i} }`;
          case "supports":
            return `@supports (${i}) { ${i} }`;
          case "aria":
          case "data":
            return `&[${r}-${i}]`;
          case "*":
            return `& > * { ${i} }`;
        }
        throw new Fr(r);
      };
      return ((r) => {
        const i = new Pr(r.split(" ")), s = [];
        return i.walk((n, a) => {
          s.push(
            n === "__root__" ? w(...a) : o(n, w(...a))
          );
        }), s.join(" ");
      })(this.macros || "");
    }, this.stylesheet = e.stylesheet, this.sm = e.sm, this.md = e.md, this.lg = e.lg, this.xl = e.xl, this["2xl"] = e["2xl"], this.dark = e.dark, this.light = e.light, this.screens = e.screens || this.screens, this.macros = e.macros;
  }
  walkScreens(e) {
    Object.keys(this.screens).forEach((o) => {
      e(o, this.screens[o]);
    });
  }
}
const v = (t) => {
  var o;
  let e = "";
  if (t.stylesheet && (e += (o = t.stylesheet) == null ? void 0 : o.toString()), Object.keys(t.screens).forEach((r) => {
    let i = "";
    const s = t.screens[r];
    s && Object.keys(s).forEach((a) => {
      const [z, g] = [
        p[a],
        s[a]
      ];
      g && (i += `(${z}: ${g})`);
    });
    const n = t[r] || "";
    n && (e += `@media${i}{ ${n} }`);
  }), t.macros) {
    const r = t.resolveMacros();
    e.includes(":host") ? e = e.replace(/:host\s*\{/, `:host { ${r}`) : e = `:host { ${r} }` + e;
  }
  return e;
}, Lr = (t) => v(t), Tr = (t) => O(v(t));
export {
  Kr as CSSBreakpointOptionsImplementer,
  x as base,
  Zo as color,
  tr as colorRGB,
  Jr as defaultBreakpointOptions,
  k as defaultScreenOptions,
  Lr as generateCSS,
  v as generateCSSImpl,
  Vr as generateMediaQuery,
  Tr as generateOptimizedCSS,
  _ as isKnownBreakpoint,
  Qr as isMediaQueryAlias,
  sr as kPatterns,
  p as mediaQueryMap,
  w as replace,
  C as resolveMacros,
  d as rgb,
  S as screenSizeAt,
  u as shades,
  Gr as walkScreens
};
